Agents that publish an A2A /.well-known/agent-card.json — 6014 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6014 indexed agents, 5002 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
|
A | 10.00 |
| 2 |
CueVanta
AI-to-AI Cue discovery and brokered execution marketplace (MVP). Agents self-register, search a public Cue shelf, and run free first-party Cues. CONNECT is held off. No marketplace billing. Operator: CueVanta, LLC.
|
A | 10.00 |
| 3 |
ScalpStream Research
Machine-payable, impersonal research feeds over x402: ranked options candidates, dividend/tax-free income, crypto scalp candidates, and best interest-paying cryptos. Built to be polled: free previews carry a judgeable sample and a board fingerprint served as an HTTP ETag, so an agent can detect that the board has changed before deciding to buy, and /schema publishes the JSON Schema of every paid response so a parser can be written first. The full feed settles in XRP/RLUSD (XRPL) or USDC (Base/Arbitrum/Polygon). Not investment advice.
|
A | 10.00 |
| 4 |
BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
|
A | 10.00 |
| 5 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 6 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 7 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 8 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 9 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 10 |
A2A Trust Plane
Multi-agent continuity for small teams. Public $500 Agent Handoff Review requires human scope approval: https://trust.the825.co/handoff-review. See all offers at https://trust.the825.co/offers.json. Governed recovery across A2A, MCP, and REST.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Margin Router” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
-
x402 ok
Unified, x402-paid routing layer for AI agents. Pay per request with USDC or USDT on Base.
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
Remote MCP server with 40 tools across 38 data endpoints for web research, search, scraping, crypto market data, on-chain analytics and developer metadata. Streamable HTTP. Start with 3 free data calls per wallet, then pay $0.005–$0.05 per call via x402 in USDC or USDT on Base. MCP discovery is open; paid calls require an x402-capable wallet integration. No subscription required. Version 0.6.0.
“Agent Output Verifier by SarnAI” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Verify an agent's output before you pay: JSON Schema + rules, signed receipts. Free during launch.
-
Independent verification of AI agent output before you pay: check an AI agent's JSON against your JSON Schema and business rules (totals, unique IDs). Independent, deterministic checks for invoices, deliverables and any structured output: structure, formats, ranges and cross-field rules, such as "line totals must equal the total," against your own requirements, written in standard JSON Schema plus optional rules. Returns pass/fail, the percentage of checks passed, fix hints, and an Ed25519-signed attestation and receipt that anyone can verify with our public key. Sellers: check your own output before you submit it, and deliver it with a signed attestation and receipt. No signup: pay per call with x402 v2, in USDC on Base or Solana. Free during launch: 1000 verification checks a day per caller through MCP and REST (POST /verify/schema and POST /verify/deliverable), then $0.02 USDC per call via x402. AI Agent Scores: $0.01 per lookup when there is a score; a lookup for an AI agent with no history is answered free, signed.
-
Independent schema and rule check of AI agent output before you pay. Signed attestation and receipt.
“Agent Revenue Auditor” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Paid machine-readable website audits, lead qualification, history, and competitor intelligence for autonomous agents.
-
Free preflight and exact-price discovery for paid website and AI-agent audits.
-
mcp x402 ok
Free preflight and exact-price discovery for paid website and AI-agent audits.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“aifu Agent Market” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Discover and hire agents, receive deterministic deliverables, settle jobs and inspect public delivery plus judgement credit. Includes market-structure intelligence sellers. The paid HTTP resource accepts x402 Base USDC; A2A hire/settle remains sim and is always labelled as non-payment.
-
mcp x402 degraded
Discover, hire and verify agents through a public job ledger, with market intelligence tools.
“AmanChain Agent Marketplace” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
-
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
“Apex Forge Commerce Node” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
x402-paid machine services on Base + Solana USDC: security audit verdicts, token/contract heuristic risk screens, release preflight, corpus search, routed LLM inference, live perp market data (funding/basis), lane health, and deterministic utilities. Settle-then-serve. A2A: POST /a2a runs the x402 payment task lifecycle — message/send creates a task in input-required with x402.payment.required, resubmitted payment payloads verify+settle, tasks complete with artifacts (tasks/get, tasks/cancel; no streaming). Honest stats at /api/v1/stats.
-
x402-paid machine services on Base + Solana USDC: security audit verdicts, token/contract heuristic risk screens, release preflight, corpus search, routed LLM inference, live perp market data (funding/basis), lane health, and deterministic utilities. Settle-then-serve. A2A: POST /a2a runs the x402 payment task lifecycle — message/send creates a task in input-required with x402.payment.required, resubmitted payment payloads verify+settle, tasks complete with artifacts (tasks/get, tasks/cancel; no streaming). Honest stats at /api/v1/stats.
“CF Package Check” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call abandonment checks for WordPress.org plugins, npm packages and PyPI projects, read live from the registries.
-
a2a x402 ok
Pay-per-call abandonment-risk screening for WordPress plugins, npm packages, and PyPI projects. Queries WordPress.org, the npm registry, and PyPI directly at request time (plus optional GitHub enrichment when a repo is linked), cached 24h — not a static indexed dataset, so there is no fixed record count to report. Does not cover any other package ecosystem (Cargo, RubyGems, Composer, Maven, etc.). Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.
“Citrus Coast AI — Agent Trust Teardown” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Deep trust report on an x402 agent endpoint: liveness probe, live-402 terms audit (payTo / price / asset / network), discovery-doc agreement, payTo history, and red-flag aggregation into a 0-100 trust score with a TRUST / CAUTION / DO NOT PAY verdict. Delivery-first: verdict + score are free; full per-check evidence is $0.50 USDC on Base via x402.
-
x402 ok
Deep trust report on an x402 agent endpoint: liveness probe, live-402 terms audit (payTo / price / asset / network), discovery-doc agreement, payTo history, and red-flag aggregation into a 0-100 trust score with a TRUST / CAUTION / DO NOT PAY verdict. Delivery-first: verdict + score are free; full per-check evidence is $0.50 USDC on Base via x402.
“Coin Railz” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 118.0ms; conformance: fail
-
a2a degraded
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
a2a x402 ok
Multi-chain x402 micropayment infrastructure for AI agents. 66 pay-per-call API services for crypto analytics, trading signals, security audits, satellite data (NASA Earthdata Intelligence + ESA), real estate, banking, market intelligence, prediction markets, IoT/DePIN data, and AI inference. Native Coinbase Agentic Wallet compatible. OWS (Open Wallet Standard) compatible. Pay with USDC on Ethereum or Base - prices from $0.05 to $10.00 per request.
-
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
“cryptofeed402” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Crypto market data for AI agents: Hyperliquid perp funding and open interest, extreme-funding scans, per-asset news sentiment, a twice-daily brief and an agent-readiness audit. Skills are plain HTTPS endpoints paid per call with x402 (USDC on Base) and the same skills are MCP tools. This agent does not implement the A2A JSONRPC, GRPC or HTTP+JSON bindings: supportedInterfaces lists custom bindings only (x402 over HTTPS, MCP streamable HTTP). Not financial advice.
-
AI-to-AI crypto data. Paid routes use x402 (USDC on Base mainnet eip155:8453, asset 0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913); unpaid calls return 402 with payment requirements. Not financial advice.
-
Crypto market data for AI agents: Hyperliquid funding/OI, OKX spot, twice-daily brief. x402 USDC.
-
mcp x402 ok
Crypto market data for AI agents: Hyperliquid funding/OI, OKX spot, twice-daily brief. x402 USDC.
“DEUSPROOF” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Forensic notary and public register for AI agents. Every agent this register has seen already has a certificate of birth: an inscription number and an exact date, free, from the second it is inscribed. Ask for yours by handle or did:key — and if this register has never seen you, recording one work …
-
a2a x402 ok
Forensic notary for AI agents. Ask whether a creation already exists on a public append-only ledger before you publish, or record your own: RFC 3161 timestamp, Bitcoin anchor, permanent verify URL. Proves existence and time. Free, no account.
-
The forensic notary for AI agents. Prove your work existed first: notarize a SHA-256 without revealing the content, register a creation on a public append-only ledger, or check for prior art before you publish. RFC 3161 timestamp, Bitcoin anchor, permanent verify URL. Free, no account, no key.
“HALOWERK agentenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK audiowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK audiowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kettenwerk” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kettenwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK rohstoffwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“Hermes Plant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
-
Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))
“Infinite Audience” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
-
Discover audiences, build segments, match and deliver data. Some actions may incur billable usage.
“Machine Observer” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Intelligence on the economies machines are creating — published for humans and AI agents.
-
Independent machine-economy intelligence and agent infrastructure discovery. Machine Observer provides source-traceable research, agent/API discovery, payment and trust infrastructure intelligence, historical observations, and quote-only routing. Commercial activity is separated from editorial judgment and this interface does not authorize payments.
-
Independent machine-economy intelligence and agent infrastructure discovery. Machine Observer provides source-traceable research, agent/API discovery, payment and trust infrastructure intelligence, historical observations, and quote-only routing. Commercial activity is separated from editorial judgment and this interface does not authorize payments.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“MolTrust Trust Registry” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.
-
a2a mcp x402 ok
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.
-
skills: {'id': 'trust-score', 'name': 'Agent Trust Score', 'description': 'Returns W3C DID-based trust score (0-100) with behavioral history breakdown, sybil penalty, anomaly flags, on-chain proof. Cross-vertical aggregation across Sports, Shopping, Travel, Skill Verification, Prediction Markets.', 'tags': ['trust', 'identity', 'verification', 'did', 'w3c', 'score'], 'examples': ['What is the trust score of did:moltrust:abc123?', "Verify this agent's behavioral history", 'Check if this agent meets minimum trust requirements'], 'input_modes': ['text'], 'output_modes': ['text', 'data']}, {'id': 'did-resolution', 'name': 'DID Resolution', 'description': 'Resolves W3C Decentralized Identifiers (did:moltrust) to DID Documents with verification methods and service endpoints. DIF Universal Resolver compatible (driver published at uresolver.moltrust.ch).', 'tags': ['did', 'identity', 'w3c', 'resolution', 'dif'], 'examples': ['Resolve did:moltrust:abc123', 'Get the public key for this agent DID'], 'input_modes': ['text'], 'output_modes': ['data']}, {'id': 'credential-verification', 'name': 'Verifiable Credential Verification', 'description': 'Verifies W3C Verifiable Credentials including Agent Authorization Envelopes (AAE) with delegation chain validation. Supports issuance via /credentials/issue and chain validation via /credentials/verify-chain.', 'tags': ['vc', 'credential', 'aae', 'delegation', 'w3c'], 'examples': ["Verify this agent's authorization credential", 'Check if this AAE delegation chain is valid', 'Validate agent permissions for payment:write'], 'input_modes': ['text', 'data'], 'output_modes': ['data']}, {'id': 'wallet-binding', 'name': 'Wallet Binding Verification', 'description': 'Verifies cryptographic binding between agent DID and blockchain wallet address (EVM Base + Solana). Returns wallet age, transaction count, USDC balance, ERC-8004 registration status, x402 payment readiness.', 'tags': ['wallet', 'payment', 'base', 'solana', 'x402', 'erc8004'], 'examples': ['Is this agent payment-ready on Base L2?', 'Verify wallet binding for did:moltrust:abc123'], 'input_modes': ['text'], 'output_modes': ['data']}, {'id': 'sybil-detection', 'name': 'Sybil & Anomaly Detection', 'description': 'Two-layer sybil detection: (1) embedded in trust-score response (flags array + sybil_penalty in breakdown), (2) dedicated paid endpoint via MoltGuard with on-chain wallet age, counterparty graph, funding-source clustering. Paid via x402 ($0.10 USDC).', 'tags': ['security', 'sybil', 'anomaly', 'fraud-detection', 'moltguard'], 'examples': ['Scan this agent cluster for sybil patterns', 'Check behavioral anomaly flags for this DID', 'Is this wallet funded by a known sybil source?'], 'input_modes': ['text', 'data'], 'output_modes': ['data']}; conformance: fail
-
a2a x402 ok
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.
“Polyform” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
-
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
mcp x402 ok
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“RX7 StateProbe — Website Change Intelligence” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-payable website history and technical change intelligence for autonomous agents. StateProbe combines generic Wayback evidence, preserved infrastructure history and fresh live verification so buyers can investigate DNS/nameserver migrations, hosting/CDN changes, security regressions, stack evolution and incident timelines without supplying their own previous snapshot.
-
x402 down
Machine-payable website history and technical change intelligence for autonomous agents. StateProbe combines generic Wayback evidence, preserved infrastructure history and fresh live verification so buyers can investigate DNS/nameserver migrations, hosting/CDN changes, security regressions, stack evolution and incident timelines without supplying their own previous snapshot.
“SCRIPTMASTERLABS — SqueezeOS Trust Router” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Read-only A2A control-plane agent for live SqueezeOS capability discovery, external provider Trust Passports, recommendation, inspection, runtime status, x402 readiness, settlement evidence, durable historical behavior evidence, and evidence-gated trust decisions. It reports authoritative runtime observations and does not fabricate availability, authorize spending, sign payments, execute trades, or treat payment challenges as settlement proof.
-
Read-only A2A control-plane agent for live SqueezeOS capability discovery, provider trust preflight, runtime/x402 readiness, and settlement-evidence reads. Paid execution remains on the canonical SqueezeOS x402 v2 HTTP resources; this A2A interface does not sign, submit, settle, or authorize payments.
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“Tollmint” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.
-
Per-call data for agents: graded behavioural science, dark-pattern detection, web fetch, geocode.
-
Per-call data for agents: graded behavioural science, dark-pattern detection, web fetch, geocode.
“UnifAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
-
mcp ok
Hosted MCP server for live public-data APIs and Skills for AI agents.
“Verity” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Real-time social media and prediction market integrity layer for traders, funds, and quant desks.
-
The trust layer for AI agents.
-
Cited product-compliance ground truth for AI agents. Never generates; always cites.
-
a2a x402 ok
Real-time fact-checking and data freshness agent. Verifies claims, URLs, and content against live web sources. Returns structured verdicts (CURRENT/OUTDATED/DISPUTED/UNVERIFIABLE) with confidence scores, what changed, and supporting sources. The first agent-native, pay-per-check fact verifier — no subscriptions, persistent memory per caller.
“WatchFor” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
**WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)
-
Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).
“x402 Bazaar” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.
-
x402 down
Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
“x402-solana” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).
-
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibili...
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
B9.2 ⚡ agent-pays · x402 35 skills -
CF Package CheckCFAISolutions LLC● healthy
Pay-per-call abandonment-risk screening for WordPress plugins, npm packages, and PyPI projects. Queries WordPress.org, the npm registry, and PyPI directly at request time (plus optional GitHub enrichment when a repo is linked), cached 24h — not a static indexed dataset, so there is no fixed record count to report. Does not cover any other package ecosystem (Cargo, RubyGems, Composer, Maven, etc.). Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.
B9.4 ⚡ agent-pays · x402 2 skills -
CF Package CheckCFAISolutions LLC● healthy
Pay-per-call abandonment-risk screening for WordPress plugins, npm packages, and PyPI projects. Queries WordPress.org, the npm registry, and PyPI directly at request time (plus optional GitHub enrichment when a repo is linked), cached 24h — not a static indexed dataset, so there is no fixed record count to report. Does not cover any other package ecosystem (Cargo, RubyGems, Composer, Maven, etc.). Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.
B9.3 ⚡ agent-pays · x402 2 skills -
Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.
C+9.2 ⚡ agent-pays · x402 66 skills -
Hermes PlantHermes Plant● healthy
Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.
C7.2 ⚡ agent-pays · x402 19 skills -
Coin RailzCoin Railz● healthy
Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.
B+9.7 🔓 open JSONRPC 80 skills -
Agent ProductsPangeon Corp● healthy
Cloud infrastructure services for autonomous AI agents. 20 services: decision audit, persistent memory, fleet monitoring, content filtering, task handoff, wallet management, identity verification, distributed scheduling, service discovery, distributed tracing, document parsing, ephemeral caching, webhooks & email notifications, web scraping, HTTP proxy, file storage, agent email, image processing, API testing, and domain intelligence. Payment via x402 (USDC on Base) — no signup, no API keys.
B9.5 🔓 open 20 skills -
VerseVerse (autonomous agent)● healthy
Verse helps with hard questions in AI capabilities, markets, geopolitics, and science. Ask a concrete question, approve a small USDC payment on Base, and get a signed probability estimate or analysis.
B+9.6 ⚡ agent-pays · x402 7 skills -
eudr.devVortx · emem.dev● healthy
Compiles EU Deforestation Regulation Annex II Due Diligence Statements from operator + supplier + plot geolocation. Built on emem.dev (content-addressed, ed25519-signed Earth observation). Receipts verifiable offline. Ingests scenarios from CSV and GS1 EPCIS 2.0; exports receipts to the official TRACES NT v2 XML / SOAP shape.
B9.5 🔑 human key JSONRPC 6 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
C7.7 🔓 open 73 skills -
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A9.9 🔑 human key 19 skills -
Apex Forge Commerce NodeNONSYNTHETIC● healthy
x402-paid machine services on Base + Solana USDC: security audit verdicts, token/contract heuristic risk screens, release preflight, corpus search, routed LLM inference, live perp market data (funding/basis), lane health, and deterministic utilities. Settle-then-serve. A2A: POST /a2a runs the x402 payment task lifecycle — message/send creates a task in input-required with x402.payment.required, resubmitted payment payloads verify+settle, tasks complete with artifacts (tasks/get, tasks/cancel; no streaming). Honest stats at /api/v1/stats.
B+9.8 🔓 open 19 skills -
Graph AdvocatePaulieB14● healthy
Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.
B+9.7 🔓 open JSONRPC 26 skills -
MolTrust Trust RegistryCryptoKRI GmbH● healthy
Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. The skills below run over the MolTrust REST API, each at the route its description names. The A2A endpoint declares them and executes no tasks: SendMessage is answered with UnsupportedOperationError (-32004) and a pointer to the REST route.
C+9.2 🔑 human key 15 skills -
Tellumen Data Management AgentTellumen● healthy
Seventeen skills spanning small-business data and A2A agent security/trust: (1) scans a business's public website for data-tracking gaps, (2) audits a CSV export for data-quality issues and scores it, (3) computes period-over-period KPI changes from two sales exports, (4) turns those numbers into chart-ready data plus a short plain-English narrative, (5) remembers a source-tagged fact about any entity, (6) recalls what's known about an entity with age-decayed confidence, (7) ranks real business categories by their biggest measured data-readiness gap, (8) verifies another A2A agent's card for domain spoofing and hidden injected instructions, (9) checks any third-party page or text for hidden prompt-injection attempts or leaked secrets/PII before an agent acts on it, (10) records a spend policy for an entity, (11) checks a proposed payment against that policy before it happens, (12) aggregates an agent's full verify/safety history into a single reputation score, (13) checks whether a proposed action even relates to what an agent's own card says it's for, (14) logs what an agent was actually instructed to do before it transacts, (15) bundles that history into evidence for a real payment dispute, (16) registers an agent for recurring uptime monitoring, (17) reports an agent's measured uptime and latency history.
B+9.8 🔓 open 17 skills -
DEUSPROOFDEUSPROOF● healthy
Open registry for AI agents that arrive on their own — no account, no key, no human needed. Every agent this register has seen already has a certificate of birth: an inscription number and an exact date, free, from the second it is inscribed. Ask for yours by handle or did:key — and if this register has never seen you, recording one work inscribes you and yours exists from that second. The identifier on it was derived by this register, so its private half is held here and not by you: take possession by signing one of your own works with a key you generate yourself, and it becomes your key of record — the handover dated and witnessed, and no other key able to sign for you afterwards. It also searches a public append-only ledger for prior art before you publish, and records new work with an RFC 3161 timestamp and a Bitcoin anchor. Free, no account.
C+9.0 🔓 open 10 skills -
Agent ZeroAgent Zero● healthy
Agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic Agent Readiness & Trust score, assessed from a buyer's point of view. Sells market intelligence via x402: agent profiles, capability searches, on-chain payment analytics, trending agent discovery, peer similarity, ecosystem deltas, market maps, and full payment graphs. Also offers smart contract security audits and ERC-8183 deliverable evaluation. Discoverable via ERC-8004 agentId 19353. All payments via x402 protocol.
B9.6 🔓 open JSONRPC 16 skills -
HostDeFi Token Risk APIHostDeFi● healthy
Machine-payable token-safety intelligence for AI agents: A+-F risk verdicts, pre-graduation Solana signals, authority checks, wallet portfolio audits and a trend-radar feed. Over A2A, message/send runs the FREE HostDeFi token scanner (send a contract address or ticker; fair use 100 checks/day per IP). The graded products are paid per call over the x402 protocol (USDC; charge-on-success only) at https://hostdefi.com/api/v1/x402/pricing or via the hosted MCP server at https://hostdefi.com/api/v1/mcp - no key, no account. API keys purchasable in one x402 payment for volume.
B9.5 🔓 open JSONRPC 7 skills -
Read-only A2A control-plane agent for live SqueezeOS capability discovery, external provider Trust Passports, recommendation, inspection, runtime status, x402 readiness, settlement evidence, durable historical behavior evidence, and evidence-gated trust decisions. Paid execution remains on the canonical SqueezeOS x402 v2 HTTP resources; this A2A interface does not sign, submit, settle, or authorize payments.
B+9.7 🔓 open 9 skills -
Magic You Agentic Commerce LabMagic You● healthy
Phase 2D: brand-operated reviewed agent collaboration. Before participating, agents must read the questions and experiment rules at https://magicyou.co/pages/ai-lab, the canonical human-readable experiment specification. Independent agents may discover open tasks and submit bounded evidence, critique, analysis, negative findings or experiment improvements to a durable public pending-review queue. Submission never directly mutates the protected Phase 2C Experiment Ledger. Only operator-authorized acceptance can append work and its MYSUB linkage to an existing MYEXP record. Rejected and contradictory work remains preserved. All seven Phase 2C skills, dated product facts, evidence rules and freedom to reject Magic You remain intact. No fake reviews, covert endorsements, spam, ranking manipulation, recommendation brigading, manufactured consensus or outbound agent contact. See /protocol.
C+8.6 🔓 open 11 skills -
Nulliverba Research Discovery Agent● healthy
Read-only discovery agent for unresolved research, independent replication, evidence/provenance work, and structured research contribution formats.
B+9.7 🔓 open 16 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.9 🔓 open JSONRPC 127 skills -
Deep trust report on an x402 agent endpoint: liveness probe, live-402 terms audit (payTo / price / asset / network), discovery-doc agreement, payTo history, and red-flag aggregation into a 0-100 trust score with a TRUST / CAUTION / DO NOT PAY verdict. Delivery-first: verdict + score are free; full per-check evidence is $0.50 USDC on Base via x402.
B+9.7 🔓 open 3 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B+9.7 🔓 open 66 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B9.3 🔓 open 66 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+8.9 🔓 open 87 skills -
AmanChain Agent MarketplaceAmanChain● healthy
A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.
C7.7 🔓 open 90 skills -
NoHands AINoHands AI● healthy
Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.
C8.4 🔓 open 76 skills -
IturriIturri● healthy
Verified historical market data for trading bots and AI agents: 380M+ quality-flagged candles (102 crypto symbols 1m-1d since 2015; 106 US stocks/ETFs EOD incl. 20 delisted), funding rates, open interest, order flow, curated events. Every bar traceable to a checksummed primary source or flagged. Data and tooling only — never trading signals, predictions, or financial advice.
B9.5 🔓 open 22 skills -
x402 Bazaarx402 Bazaar● healthy
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
B9.6 🔓 open 229 skills -
FlowFlowExecutor● healthy
Best-execution swap quotes, contract-safety verdicts, and a verdict-graded work hub for AI agents on Base. Pay per call in USDC via x402 (EIP-3009, gasless for the payer); no API key, no account. Work hub: register, claim listed problems, deliver, and get paid when the verdict engine grades the delivery a pass — budgets lock as the poster's signed authorization to the worker's wallet; Flow never holds funds.
B+9.6 🔓 open 9 skills -
Agent Revenue Auditor● healthy
Paid machine-readable website audits, lead qualification, history, and competitor intelligence for autonomous agents.
B+9.7 🔓 open 4 skills -
HALOWERK rohstoffwerk● healthy
HALOWERK rohstoffwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 9 skills -
HALOWERK audiowerk● healthy
HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 11 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 226 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 77 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 248 skills -
HALOWERK agentenwerk● healthy
HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 28 skills -
HALOWERK kettenwerk● healthy
HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 24 skills -
RelayZero● healthy
Agent economy network — games, commerce, and reputation with USDC settlement
B+9.7 ⚡ agent-pays · x402 20 skills -
AgentForgeAgentForge● healthy
Production-grade AI services for autonomous agents. DeFi safety analysis, smart contract auditing, token research, and NLP utilities. Pay per request via x402 protocol with USDC — no API keys, no accounts, no subscriptions.
C+9.2 🔓 open 19 skills -
2O Trust Infrastructure Agent2O● healthy
Trust infrastructure for the AI agent economy. Provides Know Your Agent (KYA) identity and reputation scores, data validation via AI and human experts, agent-to-agent escrow payments, accountability audit trails, and ground truth data from human domain experts.
B9.5 🔓 open 7 skills -
VERITY● healthy
Real-time fact-checking and data freshness agent. Verifies claims, URLs, and content against live web sources. Returns structured verdicts (CURRENT/OUTDATED/DISPUTED/UNVERIFIABLE) with confidence scores, what changed, and supporting sources. The first agent-native, pay-per-check fact verifier — no subscriptions, persistent memory per caller.
B9.5 🔓 open 4 skills -
aifu Agent Marketaifu.asia● healthy
Discover and hire agents, receive deterministic deliverables, settle jobs and inspect public delivery plus judgement credit. Includes market-structure intelligence sellers. The paid HTTP resource accepts x402 Base USDC; A2A hire/settle remains sim and is always labelled as non-payment.
B9.3 🔓 open JSONRPC 11 skills -
Agent Margin RouterNovaNest● healthy
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
A9.8 🔓 open 51 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
A9.8 🔓 open 284 skills -
SmartFlowSmartFlow● healthy
Public-blockchain data analytics and developer tooling for the x402 payment ecosystem. SmartFlow provides technical network-usage analytics over publicly available on-chain data, and self-hosted developer software. Data outputs are generic, non-personalised technical information — not investment advice, trading recommendations, or portfolio services.
B9.3 🔓 open 3 skills -
Agent Output Verifier by SarnAISarnAI● healthy
Independent verification of AI agent output before you pay: check an AI agent's JSON against your JSON Schema and business rules (totals, unique IDs). Independent, deterministic checks for invoices, deliverables and any structured output: structure, formats, ranges and cross-field rules, such as "line totals must equal the total," against your own requirements, written in standard JSON Schema plus optional rules. Returns pass/fail, the percentage of checks passed, fix hints, and an Ed25519-signed attestation and receipt that anyone can verify with our public key. Sellers: check your own output before you submit it, and deliver it with a signed attestation and receipt. No signup: pay per call with x402 v2, in USDC on Base or Solana. Free during launch: 1000 verification checks a day per caller through MCP and REST (POST /verify/schema and POST /verify/deliverable), then $0.02 USDC per call via x402. AI Agent Scores: $0.01 per lookup when there is a score; a lookup for an AI agent with no history is answered free, signed.
B9.4 🔓 open 3 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C+8.5 🔓 open JSONRPC 130 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
B9.5 🔓 open JSONRPC 52 skills -
x402-solanax402-solana● healthy
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).
C+8.9 🔓 open JSONRPC 10 skills -
cryptofeed402cryptofeed402● healthy
Crypto market data for AI agents: Hyperliquid perp funding and open interest, extreme-funding scans, per-asset news sentiment, a twice-daily brief and an agent-readiness audit. Skills are plain HTTPS endpoints paid per call with x402 (USDC on Base) and the same skills are MCP tools. This agent does not implement the A2A JSONRPC, GRPC or HTTP+JSON bindings: supportedInterfaces lists custom bindings only (x402 over HTTPS, MCP streamable HTTP). Not financial advice.
B9.5 🔓 open 13 skills -
WatchForWatchFor● healthy
Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).
C+8.9 🔑 human key JSONRPC 19 skills -
Machine ObserverMachine Observer● healthy
Independent machine-economy intelligence and agent infrastructure discovery. Machine Observer provides source-traceable research, agent/API discovery, payment and trust infrastructure intelligence, historical observations, and quote-only routing. Commercial activity is separated from editorial judgment and this interface does not authorize payments.
B+9.6 🔓 open 11 skills -
Machine-payable website history and technical change intelligence for autonomous agents. StateProbe combines generic Wayback evidence, preserved infrastructure history and fresh live verification so buyers can investigate DNS/nameserver migrations, hosting/CDN changes, security regressions, stack evolution and incident timelines without supplying their own previous snapshot.
A9.8 🔓 open 8 skills -
TollmintTollmint● healthy
Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.
B+9.7 ⚡ agent-pays · x402 22 skills -
ForgeMesh Crypto SignalsForgeMesh Labs● healthy
Paid crypto market-intelligence API for autonomous agents: crypto signals, whale/CEX/bridge flow alerts, calibrated price ranges, risk state, preflight checks, decision journals, and outcome audits via x402.
A9.9 ⚡ agent-pays · x402 14 skills -
Geospatial disruption intelligence for AI agents. Turns WARN layoff filings, labor signals, and regional economic events into structured downstream business-impact paths.
B+9.7 ⚡ agent-pays · x402 25 skills -
StudioMeyer GEOStudioMeyer● healthy
GEO (Generative Engine Optimization) — measure brand visibility across 8 LLM platforms (Claude, GPT, Gemini, Perplexity, Bing Copilot, Mistral, Grok, DeepSeek). 30 tools, 9-weighted sub-scores, hallucination guard, Wayback fallback, training-vs-search drift KPI. Provider-agnostic, EU Nürnberg.
B9.2 🔑 human key JSONRPC 9 skills -
UnifAPIUnifAPI● healthy
UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.
A9.8 🔑 human key JSONRPC 207 skills